roar_get_vol(3)

NAME
roar_get_vol, roar_set_vol, roar_set_vol2 - Set mixer levels or RoarAudio streams

SYNOPSIS

#include <roaraudio.h>

int roar_set_vol(struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int channels);

int roar_set_vol2 (struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int channels, int mode);

int roar_get_vol(struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int * channels);

DESCRIPTION
This call gets or sets the mixing levels for a stream.

roar_set_vol() is marked obsolete and will be removed soon, use roar_set_vol2().

PARAMETERS

con The connection to the roar audio server.

id  The ID of the stream to change.

mixer
    The mixer state for the stream.

channels
    The number of channels to set mixer data for or the number of channels mixer data is returned.

mode
    The mode of operating. Currently the following modes are supported: ROAR_SET_VOL_ALL, ROAR_SET_VOL_MS, ROAR_SET_VOL_UNMAPPED.

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
libroar(7), RoarAudio(7).